Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06538 Crash/Freeze Critical (emulator) Always Apr 26, 2017, 19:36 Jun 3, 2017, 00:53
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To couriersud Resolution Fixed OS Windows Vista/7/8 (32-bit)
Status [?] Resolved   Driver
Version 0.185 Fixed in Version 0.186 Build Debug
Summary 06538: Many NETLIST involved drivers: [debug] Exception/Assert when starting emulation
Description In many machines using netlist in the drivers: atarittl.cpp, hazeltin.cpp, m62.cpp, mario.cpp, pong.cpp
Caught unhandled N7netlist12nl_exceptionE exception: assert: ../../../../../src/lib/netlist/nl_setup.cpp:416: inp.is_analog()
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version
Affected Sets / Systems Many NETLIST involved drivers
Attached Files
 


-  Notes
User avatar
No.13867
Osso
(Developer)
Jun 2, 2017, 09:26
Doesn't happen anymore with 0.186 64 bit debug build. Can anyone confirm?
User avatar
No.13869
Tafoid
(Administrator)
Jun 2, 2017, 14:02
edited on: Jun 2, 2017, 14:13
Supposedly it was fixed but I haven't made a debug build to verify. If you've verified it, please feel free to resolve this one.
https://github.com/mamedev/mame/commit/6d9da523e351185aa3fdb978d21b87193378ea6a

User avatar
No.13875
AJR
(Developer)
Jun 3, 2017, 00:53
I can confirm that breakout (another affected driver) now works on my current OS X debug build.